summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorDaiki Ueno <ueno@gnu.org>2015-10-14 10:20:34 +0900
committerDaiki Ueno <ueno@gnu.org>2015-10-14 15:00:09 +0900
commit614ff78da50d3b16b538c07d338dc4a9b32d6261 (patch)
treef83f25d6bb018d560ad99ecb95b767ee90b79881 /autogen.sh
parentac1632889dfc001ca13a4debaf1e632889d866d0 (diff)
downloadexternal_gettext-614ff78da50d3b16b538c07d338dc4a9b32d6261.zip
external_gettext-614ff78da50d3b16b538c07d338dc4a9b32d6261.tar.gz
external_gettext-614ff78da50d3b16b538c07d338dc4a9b32d6261.tar.bz2
build: Remove ChangeLogs
Generate ChangeLog files at "make dist" time, using gitlog-to-changelog. We still keep ChangeLog files under "po" and "intl" directories, since those files are copied as part of gettext infrastructure and it is still meaningful to have them there. * .gitignore: Add ChangeLog files. * Admin/release-steps: Remove mention of running update-changelog script. * Admin/update-changelog: Remove. * Makefile.am (gen-ChangeLog): New rule. * autogen.sh: Copy gitlog-to-changelog from gnulib. Create empty ChangeLog files to suppress Automake errors. * gettext-tools/doc/Makefile.am (EXTRA_DIST): Remove ChangeLog.0. * gettext-tools/man/Makefile.am (EXTRA_DIST): Remove ChangeLog.0. * gettext-tools/src/Makefile.am (EXTRA_DIST): Remove ChangeLog.0. * gettext-tools/tests/Makefile.am (EXTRA_DIST): Remove ChangeLog.0. * gnulib-local/Makefile.am (EXTRA_DIST): Remove ChangeLog files. * */ChangeLog: Rename to ChangeLog.0 or ChangeLog.1. * HACKING: Add brief guideline to submit patches.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 3af53f2..ca0468a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -377,6 +377,7 @@ if ! $skip_gnulib; then
# Import build tools. We use --copy-file to avoid directory creation.
$GNULIB_TOOL --copy-file tests/init.sh gettext-tools || exit $?
$GNULIB_TOOL --copy-file build-aux/git-version-gen || exit $?
+ $GNULIB_TOOL --copy-file build-aux/gitlog-to-changelog || exit $?
fi
fi
@@ -414,6 +415,28 @@ if ! test -f gettext-tools/misc/archive.dir.tar; then
test $retval -eq 0 || exit $retval
fi
+# Automake requires that ChangeLog exist.
+for dir in . gettext-runtime gettext-runtime/libasprintf \
+ gettext-tools gettext-tools/examples; do
+ cat > "$dir/ChangeLog" <<\EOF
+No more ChangeLog files
+========================
+Do not modify any of the ChangeLog files in gettext. Starting on
+October 14th, 2015 we put changelog information only in the git commit
+log, and generate a top-level ChangeLog file from logs at "make dist"
+time.
+
+This rule doesn't apply to the ChangeLog files under "intl" and "po"
+directories, because those files are distributed as part of gettext
+infrastructure files pulled with the autopoint program.
+
+Local Variables:
+buffer-read-only: t
+mode: text
+End:
+EOF
+done
+
# Generate configure script in each subdirectories.
(cd gettext-runtime/libasprintf
echo "$0: generating configure in gettext-runtime/libasprintf..."